;See documentation for LinkedLists_Append


LinkedLists_AppendSibling PROC pList:DWORD, pThis:DWORD, cbSize:DWORD
local pthis:DWORD
push esi

m2m pthis,pThis
        ;** if we need to create the new object then do so 
        ;** noting that we create it with NULL parent meaning unlinked

.if pthis==NULL 
    mov pthis, $invoke (AppendOrInsert, NULL, cbSize)
.endif

.if pList != NULL && pthis != NULL        ;Find end of list and attach object
    mov esi,pList
    assume esi:ptr LinkedObject
    .while [esi].pYoungerSibling!=0       ;(seeking last SIBLING in list)
        mov esi,[esi].pYoungerSibling
    .endw
   m2m [esi].pYoungerSibling,pthis        ;(attach new object to last object)
.endif
pop esi
return pthis                                            ;return the new object pointer

LinkedLists_AppendSibling ENDP