;This procedure attempts to identify a template by its guid...
;Thanks Be to Scronty for the DXGUID include ;)
;(damn hope m$ havent updated... ah well :p)

Unknown equ 0
Frame equ 1
Mesh equ 2
Material equ 3
Normals equ 4
TextureCoords equ 5
FrameXFormMatrix equ 6
RMInfo equ 7
RMVector equ 8
MeshFace equ 9
MaterialArray equ 10
MeshMaterialList equ 11
RMCoords2d equ 12
Matrix44 equ 13
Animation equ 14
AnimationSet equ 15
AnimationKey equ 16
FloatKeys equ 17
AmbientColor equ 18
DiffuseColor equ 19
SpecularColor equ 20
EmissiveColor equ 21
RMMaterialPower equ 22
ColorRGBA equ 23
ColorRGB equ 24
RMGuid equ 25
RMTextureFilename equ 26
RMTextureReference equ 27
RMIndexedColor equ 28
MeshVertexColors equ 29
RMMaterialWrap equ 30
RMBoolean equ 31
MeshFaceWraps equ 32
RMBoolean2d equ 33
RMTimedFloatKeys equ 34
AnimationOptions equ 35
RMFramePosition equ 36
RMFrameVelocity equ 37
RMFrameRotation equ 38
RMLight equ 39
RMCamera equ 40
RMAppData equ 41
RMLightUmbra equ 42
RMLightRange equ 43
RMLightPenumbra equ 44
RMLightAttenuation equ 45
RMInlineData equ 46
RMUrl equ 47
RMProgressiveMesh equ 48
RMExternalVisual equ 49
RMStringProperty equ 50
RMPropertyBag equ 51
RMRightHanded equ 52


IdentifyGUID PROC pType:DWORD
    invoke CmpGUID, pType, ADDR TID_D3DRMFrame, 16
    .if eax == 1
           return Frame
    .endif
    invoke CmpGUID, pType, ADDR TID_D3DRMMesh, 16
    .if eax==1
         return Mesh
    .endif
    invoke CmpGUID, pType, ADDR TID_D3DRMMaterial, 16
    .if eax==1
         return Material
    .endif
    invoke CmpGUID, pType, ADDR TID_D3DRMMeshNormals, 16
    .if eax==1
         return Normals
    .endif
    invoke CmpGUID, pType, ADDR TID_D3DRMMeshTextureCoords, 16
    .if eax==1
         return TextureCoords
    .endif
    invoke CmpGUID, pType, ADDR TID_D3DRMFrameTransformMatrix, 16
    .if eax==1
         return FrameXFormMatrix
    .endif
    invoke CmpGUID, pType,ADDR TID_D3DRMInfo, 16
    .if eax==1
         return RMInfo
    .endif
    invoke CmpGUID, pType,ADDR TID_D3DRMVector, 16
    .if eax==1
         return RMVector
    .endif
    invoke CmpGUID, pType,ADDR TID_D3DRMMeshFace, 16
    .if eax==1
         return MeshFace
    .endif
    invoke CmpGUID, pType,ADDR TID_D3DRMMaterialArray, 16
    .if eax==1
         return MaterialArray
    .endif
    invoke CmpGUID, pType,ADDR TID_D3DRMMeshMaterialList, 16
    .if eax==1
         return MeshMaterialList
    .endif
    invoke CmpGUID, pType,ADDR TID_D3DRMCoords2d, 16
    .if eax==1
         return RMCoords2d
    .endif
    invoke CmpGUID, pType,ADDR TID_D3DRMMatrix44, 16
    .if eax==1
         return Matrix44
    .endif
    invoke CmpGUID, pType,ADDR TID_D3DRMAnimation, 16
    .if eax==1
         return Animation
    .endif
    invoke CmpGUID, pType,ADDR TID_D3DRMAnimationSet, 16
    .if eax==1
         return AnimationSet
    .endif
    invoke CmpGUID, pType,ADDR TID_D3DRMAnimationKey, 16
    .if eax==1
         return AnimationKey
    .endif
    invoke CmpGUID, pType,ADDR TID_D3DRMFloatKeys, 16
    .if eax==1
         return FloatKeys
    .endif
    invoke CmpGUID, pType,ADDR TID_D3DRMMaterialAmbientColor, 16
    .if eax==1
         return AmbientColor
    .endif
    invoke CmpGUID, pType,ADDR TID_D3DRMMaterialDiffuseColor, 16
    .if eax==1
         return DiffuseColor
    .endif
    invoke CmpGUID, pType,ADDR TID_D3DRMMaterialSpecularColor, 16
    .if eax==1
         return SpecularColor
    .endif
    invoke CmpGUID, pType,ADDR TID_D3DRMMaterialEmissiveColor, 16
    .if eax==1
         return EmissiveColor
    .endif
    invoke CmpGUID, pType,ADDR TID_D3DRMMaterialPower, 16
    .if eax==1
         return RMMaterialPower
    .endif
    invoke CmpGUID, pType,ADDR TID_D3DRMColorRGBA, 16
    .if eax==1
         return ColorRGBA
    .endif
    invoke CmpGUID, pType,ADDR TID_D3DRMColorRGB, 16
    .if eax==1
         return ColorRGB
    .endif
    invoke CmpGUID, pType,ADDR TID_D3DRMGuid, 16
    .if eax==1
         return RMGuid
    .endif
    invoke CmpGUID, pType,ADDR TID_D3DRMTextureFilename, 16
    .if eax==1
         return RMTextureFilename
    .endif
    invoke CmpGUID, pType,ADDR TID_D3DRMTextureReference, 16
    .if eax==1
         return RMTextureReference
    .endif
    invoke CmpGUID, pType,ADDR TID_D3DRMIndexedColor, 16
    .if eax==1
         return RMIndexedColor
    .endif
    invoke CmpGUID, pType,ADDR TID_D3DRMMeshVertexColors, 16
    .if eax==1
         return MeshVertexColors
    .endif
    invoke CmpGUID, pType,ADDR TID_D3DRMMaterialWrap, 16
    .if eax==1
         return RMMaterialWrap
    .endif
    invoke CmpGUID, pType,ADDR TID_D3DRMBoolean, 16
    .if eax==1
         return RMBoolean
    .endif
    invoke CmpGUID, pType,ADDR TID_D3DRMMeshFaceWraps, 16
    .if eax==1
         return MeshFaceWraps
    .endif
    invoke CmpGUID, pType,ADDR TID_D3DRMBoolean2d, 16
    .if eax==1
         return RMBoolean2d
    .endif
    invoke CmpGUID, pType,ADDR TID_D3DRMTimedFloatKeys, 16
    .if eax==1
         return RMTimedFloatKeys
    .endif
    invoke CmpGUID, pType,ADDR TID_D3DRMAnimationOptions, 16
    .if eax==1
         return AnimationOptions
    .endif
    invoke CmpGUID, pType,ADDR TID_D3DRMFramePosition, 16
    .if eax==1
         return RMFramePosition
    .endif
    invoke CmpGUID, pType,ADDR TID_D3DRMFrameVelocity, 16
    .if eax==1
         return RMFrameVelocity
    .endif
    invoke CmpGUID, pType,ADDR TID_D3DRMFrameRotation, 16
    .if eax==1
         return RMFrameRotation
    .endif
    invoke CmpGUID, pType,ADDR TID_D3DRMLight, 16
    .if eax==1
         return RMLight
    .endif
    invoke CmpGUID, pType,ADDR TID_D3DRMCamera, 16
    .if eax==1
         return RMCamera
    .endif
    invoke CmpGUID, pType,ADDR TID_D3DRMAppData ,16
    .if eax==1
         return RMAppData
    .endif
    invoke CmpGUID, pType,ADDR TID_D3DRMLightUmbra, 16
    .if eax==1
         return RMLightUmbra
    .endif
    invoke CmpGUID, pType,ADDR TID_D3DRMLightRange, 16
    .if eax==1
         return RMLightRange
    .endif
    invoke CmpGUID, pType,ADDR TID_D3DRMLightPenumbra, 16
    .if eax==1
         return RMLightPenumbra
    .endif
    invoke CmpGUID, pType,ADDR TID_D3DRMLightAttenuation, 16
    .if eax==1
         return RMLightAttenuation
    .endif
    invoke CmpGUID, pType,ADDR TID_D3DRMInlineData, 16
    .if eax==1
         return RMInlineData
    .endif
    invoke CmpGUID, pType,ADDR TID_D3DRMUrl, 16
    .if eax==1
         return RMUrl
    .endif
    invoke CmpGUID, pType,ADDR TID_D3DRMProgressiveMesh, 16
    .if eax==1
         return RMProgressiveMesh
    .endif
    invoke CmpGUID, pType,ADDR TID_D3DRMExternalVisual, 16
    .if eax==1
         return RMExternalVisual
    .endif
    invoke CmpGUID, pType,ADDR TID_D3DRMStringProperty, 16
    .if eax==1
         return RMStringProperty
    .endif
    invoke CmpGUID, pType,ADDR TID_D3DRMPropertyBag, 16
    .if eax==1
         return RMPropertyBag
    .endif
    invoke CmpGUID, pType,ADDR TID_D3DRMRightHanded, 16
    .if eax==1
         return RMRightHanded
    .endif
    return Unknown
IdentifyGUID ENDP